Historical contract: Create Business Webhook
Historical API contract. This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.
Historical meaning
Create Business Webhook
This API endpoint is used to add a business webhook.
Current API
For new integrations, use the linked current API reference or guide.
View the current API referenceParameters
[
{
"name": "language",
"in": "path",
"schema": {
"type": "string",
"default": "en"
},
"required": true
},
{
"name": "project",
"in": "path",
"schema": {
"type": "string",
"default": "<redacted-personal>"
},
"required": true
},
{
"name": "business_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
},
{
"name": "api_version",
"in": "path",
"schema": {
"type": "string",
"default": "v400"
},
"required": true
}
]
Request body
{
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"hook",
"url"
],
"properties": {
"hook": {
"type": "string"
},
"url": {
"type": "string"
}
}
}
}
}
}
Responses
{
"200": {
"description": "200",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": false,\n \"result\": {\n \"hook\": \"order_create\",\n \"url\": \"https://example.com/radar/9e7eauii4apb/b0fd9012-c32e-4f40-9792-c31f4d7edf6f/history/50656260-af18-4c37-a49b-3f45d77ce0a4\",\n \"business_id\": \"<redacted-id>\",\n \"id\": 1\n }\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": false,
"default": true
},
"result": {
"type": "object",
"properties": {
"hook": {
"type": "string",
"example": "order_create"
},
"url": {
"type": "string",
"example": "https://example.com/radar/9e7eauii4apb/b0fd9012-c32e-4f40-9792-c31f4d7edf6f/history/50656260-af18-4c37-a49b-3f45d77ce0a4"
},
"business_id": {
"type": "string",
"example": "<redacted-id>"
},
"id": {
"type": "integer",
"example": 1,
"default": 0
}
}
}
}
}
}
}
},
"400": {
"description": "400",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": true,\n \"result\": [\n \"ERROR_BUSINESS_WEBHOOK_REGISTER\"\n ]\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": true,
"default": true
},
"result": {
"type": "array",
"items": {
"type": "string",
"example": "ERROR_BUSINESS_WEBHOOK_REGISTER"
}
}
}
}
}
}
},
"401": {
"description": "401",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": true,\n \"result\": [\n \"You do not have permission.\"\n ]\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": true,
"default": true
},
"result": {
"type": "array",
"items": {
"type": "string",
"example": "You do not have permission."
}
}
}
}
}
}
}
}